#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
  
  ofSetVerticalSync(true);
  
  for (int i=0; i< NUM_CIRCLES; i++) {
    moveX[i] = ofRandom(-4, 4);
    moveY[i] = ofRandom(-4, 4);
    posX[i] = ofGetWidth()/2;
    posY[i] = ofGetHeight()/2;
  }
  
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
  
  ofBackground(51, 51, 51);
  ofSetColor(255, 255, 0); 
  
  
  for (int i=0; i<NUM_CIRCLES; i++) {
    ofCircle(posX[i], posY[i], 2);    
    posX[i] += moveX[i];
    posY[i] += moveY[i];
    
  }
  

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

